#!/bin/sh
# uncomment the next line to see more of the build process
#set -x
# BUILD script provided by Ready-to-Run Software, Inc.
# Copyright 1994 Ready-to-Run Software, Inc. All Rights Reserved.
BUILDDIR=`pwd`
SOURCEDIR=${SOURCEDIR-/cdrom/SOURCES}
if test ! -d $SOURCEDIR ; then 
   cd `dirname $0`/..; SOURCEDIR=`pwd`
   echo Assuming SOURCEDIR is $SOURCEDIR
   cd $BUILDDIR
fi
INSTALLDIR=${INSTALLDIR-/usr/local}
INSTALLSHAREDIR=${INSTALLSHAREDIR-/usr/local/share}
if test "$1" != ""; then 
   MACHINE=$1
fi
if test "$MACHINE" = ""; then 
   MACHINE=`$SOURCEDIR/../common/guess\;1 `
   echo "Assuming machine is $MACHINE"
fi
machine=$MACHINE
echo Ignore any errors about directories already existing
mkdir xroach
mkdir -p $INSTALLDIR
mkdir $INSTALLDIR/bin
mkdir $INSTALLDIR/lib
mkdir -p $INSTALLSHAREDIR
mkdir $INSTALLSHAREDIR/man
mkdir $INSTALLSHAREDIR/man/man1
mkdir $INSTALLSHAREDIR/doc
mkdir $INSTALLSHAREDIR/${SHAREPREFIX}bin
mkdir $INSTALLSHAREDIR/${SHAREPREFIX}lib
/bin/rm -f $BUILDDIR/zcat
/bin/ln -s $SOURCEDIR/../$machine/bin/zcat\;1 $BUILDDIR/zcat


cd $BUILDDIR/xroach
mkdir xroach
cd xroach
zcat $SOURCEDIR/xroach/part01.z\;1 | sed -e "/^#/b copy" -e "/^:/b copy" -e "/^--*[  ]*[Cc][Uu][Tt]/b comment" -e d -e :comment -e "s/^./#/" -e :copy -e n -e "b copy" ${1-} | /bin/sh
zcat $SOURCEDIR/xroach/patch1.z\;1 | sed -e "/^#/b copy" -e "/^:/b copy" -e "/^--*[  ]*[Cc][Uu][Tt]/b comment" -e d -e :comment -e "s/^./#/" -e :copy -e n -e "b copy" ${1-} | /bin/sh
(sed -e "s;<installsharedir>;$INSTALLSHAREDIR;" -e "s;<prefix>;$SHAREPREFIX;" -e "s;<installdir>;$INSTALLDIR;"  xroach.patch1 | patch  )

xmkmf
make
if test "$RM" != "" ; then make install ; fi
if test "$RM" != "" ; then make install.man ; fi
cd ..

cd $BUILDDIR
if test "$RM" != "" ; then rm -rf $BUILDDIR/xroach ; fi
